Root nach Magisk 24.1 Update nicht mehr vorhanden

  • 76 Antworten
  • Neuester Beitrag
Diskutiere Root nach Magisk 24.1 Update nicht mehr vorhanden im Root / Custom-ROMs / Modding für Samsung Galaxy S7 im Bereich Samsung Galaxy S7 (G930F) Forum.
X

xyzUpdate

Erfahrenes Mitglied
Hallo zusammen,

ich habe bei meinem Samsung S7 (Android 8.0.0 Stock ROM) Magisk von Version 23.0 auf Version 24.1 geupdated.
Es ist soweit durchgelaufen, nur zeigt es jetzt in der App unter Magik

Installiert: N/A
Ramdisk: Ja
A/B: Nein
SAR: Nein
an

Ich habe versucht über TWRP Magisk 24.1 zu flashen, was auch durchgelaufen ist aber zu dem selben Ergebnis geführt hat.
Anschließend habe ich versucht Magisk 23.0 wieder über TWRP zu flashen. Auch hier bekomme ich nun die Meldung Installiert: N/A

Was kann ich nun tun, um nicht mein Smartphone neu aufsetzen zu müssen?
 
DBan

DBan

Ambitioniertes Mitglied
Genau so wie 23.0 drauf kam nun 24.1 installieren.
Wenn 23.0 per "TWRP Install Magisk23.0.zip" drauf kam dann nun "TWRP Install Magisk24.1.zip".
Das S7 war ja "noch" relativ leicht mit TWRP und Custom-ROM zu bestücken.

Magisk.xx.zip und Magisk.xx.apk ist die gleiche Datei. Download erfolgt als *.apk. Davon mache ich eine Kopie und benenne die um.
Damit ist es leichter im Kopf zu behalten: die *.zip für TWRP, die *.apk zum installieren als APP.
TWRP ist der Name egal, das schaut in den Inhalt der Datei.

Der "Nothammer" ist ja Odin flash FW, ... (wobei die meisten User dann ihren Daten nachweinen)
 
X

xyzUpdate

Erfahrenes Mitglied
Danke für die ausführliche Erklärung.
Habe es nun hinbekommen.
Lösung war
1. Magisk 23.0 über TWRP zu flashen
2. Starten und die App für Magisk 23.0 zu installieren
3. Magisk 24.1 über TWRP zu installieren
4. Magisk App nicht updaten

Irgendwie wird mit der Magisk App 24.1 die Magiskversion die geflasht wurde bei mir nicht erkannt. So geht es jetzt mit der alten App Version.
 
DBan

DBan

Ambitioniertes Mitglied
Falls es ein Trost ist: mein Magisk sagte: neue Version 24.0 (ich war auf 23.0), upgedatet, Phone reboot.
Ganz kurz danach in Magisk geschaut: neue Version 24.1, upgadatet, Phone reboot.
Ich hoffe jetzt ist "a weng ruh" 😁
 
X

xyzUpdate

Erfahrenes Mitglied
Hier nochmal der Unterschied in den Magisk-Apps.
Wenn jemand die Lösung hat, wie ich Magisk in der neusten App V24.1 zum Laufen bekomme, bitte melden.
 

Anhänge

P

pajonk

Ambitioniertes Mitglied
Habe das gleiche problem wie du. Denke das alte touchwiz oder 8.0 wird nicht mehr untetstützt. Du hast so aber kein zygisk und stub lässt sich auch nicht installieten. Bleibe dann bei 23. Verstehe die vorteile von 24.1 eh nicht. Oder funktioniert dor safetypass?
 
X

xyzUpdate

Erfahrenes Mitglied
Also bei SafetyNet bekomme ich: Bestätigung fehlgeschlagen, basicIntegrity -, ctsprofile -, evalType BASIC
Was ist eigentlich zygisk und stub?
 
DBan

DBan

Ambitioniertes Mitglied
Nach dem was im WWW so gemeldet wird haben einige mit 24.1 Probleme.
Bei mir läuft K9 nicht mehr. Meine eMail läuft über t-online: angeblich ist das Zertifikat falsch. Kann aber nicht sein.
Habe ein älteres Phone wo noch 23.0 drauf war wieder aktiviert und dort läufts ohne Probleme.
Mein Stand: das ältere ist in "use", das jüngere bleibt aus. (Ich habe keinen Bock dauernd umzuändern wegen Magisk)
Ich warte bis das wieder Stabil läuft. Und bei 23.0 habe ich die Benachrichtigung für Updates deaktiviert.

Zum Glück kann ich so was "aussitzen". Android ist mein Hobby, einige Devices liegen auf "Halde"(im Schrank).
Und der alte Spruch "zu einem guten Feuerzeug gehört ein Ersatzfeuerzeug" hat wieder mal seine Berechtigung bewiesen.
 
vonharold

vonharold

Experte
Hallo @DBan,
ich habe auch die Probleme mit dem t-online Zertifikat.
Ich gehe auch wieder zurück auf die funktionierende Magisk 23.0.
Leider habe ich kein vernünftiges Ersatzfeuerzeug, nur Ersatz für einmal kurz anzünden und fertig....
 
S

st13

Ambitioniertes Mitglied
...dem schließe ich mich auch an.
Bei meinem S4 (Lineage18.1)habe ich es gemacht, soweit läuft eigentlich alles. LSposed mit GravityBox sind erhalten geblieben.
Aber auf meinem in Benutzung S9, bleibe ich vorerst auch bei 23.0 und beobachte das in den Foren weiter.
(Device starlte, ArrowOS 11.0)
 
DBan

DBan

Ambitioniertes Mitglied
@vonharold
falls das hilft: ich bin nicht normal. Android ist seit mindestens 10 Jahren mein Hobby, da sammelt sich einiges an.
Ich habe vor kurzem mal geschaut, was es für Ankaufpreise für meine "Alt-Devices" gibt: DAS wäre "Geldvernichtung".
Ich nutze die Alten ab und an zu Testzwecken ODER Kinder, Enkel, Freunde kommen "ich brauch was".
 
vonharold

vonharold

Experte
Hallo @DBan,
schau mal in meine Signatur, dann wirst Du sehen, das ich auch zu Deinem Schlag gehöre und auch nicht normal bin.
 
DBan

DBan

Ambitioniertes Mitglied
Signatur: kann man machen, ist (für mich) "a Geschmäkle" 😁
(keine Kritik! gilt nur für mich selbst) 😇
(Wäre mir auch zu viel Text bei ca. 15 Devices)
 
S

st13

Ambitioniertes Mitglied
@xyzUpdate
wie machst Du bei 24.1 denn die SafetyNet Abfrage? Der Button ist doch nicht vorhanden.
 
Meerjungfraumann

Meerjungfraumann

Fortgeschrittenes Mitglied
DBan schrieb:
Genau so wie 23.0 drauf kam nun 24.1 installieren.
Wenn 23.0 per "TWRP Install Magisk23.0.zip" drauf kam dann nun "TWRP Install Magisk24.1.zip".
Das wird aber vom Updater nicht berücksichtigt. Sonst würde ich wohl nicht diese Meldung sehen :unsure:
Ich habe Magisk V23 über die TWRP installiert.

Screenshot_20220130-145611.png
 
Zuletzt bearbeitet:
DBan

DBan

Ambitioniertes Mitglied
Wenn man mit TWRP Magisk 23.0 installiert dann auch 23.0 als App installieren UND für Magisk die Benachrichtigungen
(in Apps/Magisk) dort "für Updates" deaktivieren. Dann hält 23.0 "Ruhe".
 
X

xyzUpdate

Erfahrenes Mitglied
st13 schrieb:
@xyzUpdate
wie machst Du bei 24.1 denn die SafetyNet Abfrage? Der Button ist doch nicht vorhanden.
Bei mir gibt es den Button (siehe Screenshot) wenn man Magisk 23.0 über TWRP flashed, dann startet und die dazugehörige App V23.0 installiert und anschließend 24.1 über TWRP flashed
 

Anhänge

borisku

borisku

Lexikon
Im Magisk 24.1 finde ich kein Modulverzeichnis mehr zum Downloaden der einzelnen Module... Die Schwierigkeiten mit t-online hatte ich auch, aber ich wäre diesbezüglich nie auf Magisk als Ursache gekommen... bei mir gibts auch verschiedene Geräte, aber der dayly driver ist immer noch mein olles Honor v10 mit Pie und root... unter A10 ist beim Honor kein Root mehr möglich. Ich kann auch nicht TWRP und Magisk gleichzeitig nutzen und arbeite daher beim Flashen mit fastboot
 
chrs267

chrs267

Experte
borisku schrieb:
Im Magisk 24.1 finde ich kein Modulverzeichnis mehr zum Downloaden der einzelnen Module..
Wurde entfernt, steht im Changelog
 
Ähnliche Themen - Root nach Magisk 24.1 Update nicht mehr vorhanden Antworten Datum
2
13
4